Subject: Re: [Bitcoin-development] Proposal: MultiBit as default desktop client on bitcoin.org

From: Caleb James DeLisle <[email-masked]>
Date: Mon, 08 Jul 2013 21:20:08 -0400

Java (Applet) security is indeed abysmal but lets compare apples to apples.
With an applet some random guy with a website makes up some Java code and
your browser automatically executes it.
With Multibit you're only executing highly trusted code (so trusted that it
handles your money).
There has almost never been a Java exploit against secure trusted code.

The idea of discouraging use of java apps just because people would be
tricked into activating the browser plugin when installing the JVM is
probably valid but Multibit is the only reasonably complete client outside
of bitcoinqt and I think client diversity is more important than stamping
out java.

Thanks,
Caleb

On 07/08/2013 08:22 PM, Robert Backhaus wrote:
> But... Multibit is Java. Java's security problems has made it an instant uninstall item on windows PCs for about a year now. Java exploits are a dime a dozen.
> 
> Yes, you can reduce some of the problems by manually disabling the browser plugin, but how many users will do that?
> 
> Recommending a fast SPV client as a first wallet - yes, of course. Recommending users open such a huge attack interface on their computers by installing Java - No go. Until Multibit is provided as a compiled binary without a Java dependency, it is DOA.
> 
> 
> On 1 July 2013 02:39, Gary Rowe <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     I've beefed up the supporting documentation for the website to make it more accessible for developers who wish to contribute. It's a Java application serving HTML.
> 
>     It can be found here: https://github.com/jim618/multibit-website
> 
> 
>     On 30 June 2013 16:19, Jim <[email-masked] <mailto:[email-masked]>> wrote:
> 
>         Yeah "email jim' was never going to work so I have
>         bumped up MultiBit support (a bit) by:
> 
>         + having a dedicated Support page on the website
>            https://multibit.org/support.html
>            It has fixes and support notes for the most common gotchas.
>         + the in-app help also now has a 'Support' section with
>            "Troubleshooting' and the commonest gotchas.
>            I've also written more help to cover as much as possible.
>         + Failing that people are directed first to bitcoin.stackchange.com <http://bitcoin.stackchange.com>
>            (I have a notification set up for the 'multibit' keyword.
>         + Then finally users are directed to the github issues to search
>            existing or raise a new issue. Gary and Tim often chip in on there to
>            close
>            issues down as well as me.
> 
> 
> 
>         On Sun, Jun 30, 2013, at 12:42 PM, Mike Hearn wrote:
>         > Sounds like we have consensus, Saivann, shall we do it?
>         >
>         > I'm also going to ask Theymos again to relax the newbie restrictions
>         > for the alt client forums. It's probably too hard to get support at
>         > the moment and "email jim" doesn't scale at all.
>         >
>         > On Fri, Jun 28, 2013 at 4:24 PM, Gavin Andresen <[email-masked] <mailto:[email-masked]>>
>         > wrote:
>         > > I vote "yes" to have MultiBit replace Bitcoin-Qt as the recommended
>         > > desktop wallet app. I think most users will be happier with it.
>         > >
>         > > If I'm wrong, it is easy to change back.
>         > >
>         > > ------------------------------------------------------------------------------
>         > > This SF.net email is sponsored by Windows:
>         > >
>         > > Build for Windows Store.
>         > >
>         > > http://p.sf.net/sfu/windows-dev2dev
>         > > _______________________________________________
>         > > Bitcoin-development mailing list
>         > > [email-masked] <mailto:[email-masked]>
>         > > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>         >
>         > ------------------------------------------------------------------------------
>         > This SF.net email is sponsored by Windows:
>         >
>         > Build for Windows Store.
>         >
>         > http://p.sf.net/sfu/windows-dev2dev
>         > _______________________________________________
>         > Bitcoin-development mailing list
>         > [email-masked] <mailto:[email-masked]>
>         > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> 
>         --
>         https://multibit.org    Money, reinvented
> 
>         ------------------------------------------------------------------------------
>         This SF.net email is sponsored by Windows:
> 
>         Build for Windows Store.
> 
>         http://p.sf.net/sfu/windows-dev2dev
>         _______________________________________________
>         Bitcoin-development mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> 
> 
>     ------------------------------------------------------------------------------
>     This SF.net email is sponsored by Windows:
> 
>     Build for Windows Store.
> 
>     http://p.sf.net/sfu/windows-dev2dev
>     _______________________________________________
>     Bitcoin-development mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> 
> 
> 
> 
> ------------------------------------------------------------------------------
> See everything from the browser to the database with AppDynamics
> Get end-to-end visibility with application monitoring from AppDynamics
> Isolate bottlenecks and diagnose root cause in seconds.
> Start your free trial of AppDynamics Pro today!
> http://pubads.g.doubleclick.net/gampad/clk?id=48808831&iu=/4140/ostg.clktrk
> 
> 
> 
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>